io.undertow.server.handlers.resource

## Class FileResourceManager

- java.lang.Object
- - io.undertow.server.handlers.resource.PathResourceManager
  - - io.undertow.server.handlers.resource.FileResourceManager

All Implemented Interfaces:
  ResourceManager, Closeable, AutoCloseable

    public class FileResourceManager
    extends PathResourceManager

Serves files from the file system.

### Nested Class Summary

### Nested classes/interfaces inherited from class io.undertow.server.handlers.resource.PathResourceManager

`PathResourceManager.Builder, PathResourceManager.ETagFunction`

### Field Summary

### Fields inherited from class io.undertow.server.handlers.resource.PathResourceManager

`base, fileSystem`

### Fields inherited from interface io.undertow.server.handlers.resource.ResourceManager

`EMPTY_RESOURCE_MANAGER`

### Constructor Summary

Constructors
`` `FileResourceManager(File base)`
`` `FileResourceManager(File base, long transferMinSize)`
`` `FileResourceManager(File base, long transferMinSize, boolean caseSensitive)`
`` `FileResourceManager(File base, long transferMinSize, boolean caseSensitive, boolean followLinks, String... safePaths)`
`` `FileResourceManager(File base, long transferMinSize, boolean followLinks, String... safePaths)`
`protected` `FileResourceManager(long transferMinSize, boolean caseSensitive, boolean followLinks, String... safePaths)`

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `getBase()`
`FileResourceManager` `setBase(File base)`

### Methods inherited from class io.undertow.server.handlers.resource.PathResourceManager

`builder, close, getBasePath, getFileResource, getResource, getTransferMinSize, isResourceChangeListenerSupported, registerResourceChangeListener, removeResourceChangeListener, setBase`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileResourceManager

    public FileResourceManager(File base)

#### FileResourceManager

    public FileResourceManager(File base,
                               long transferMinSize)

#### FileResourceManager

    public FileResourceManager(File base,
                               long transferMinSize,
                               boolean caseSensitive)

#### FileResourceManager

    public FileResourceManager(File base,
                               long transferMinSize,
                               boolean followLinks,
                               String... safePaths)

#### FileResourceManager

    protected FileResourceManager(long transferMinSize,
                                  boolean caseSensitive,
                                  boolean followLinks,
                                  String... safePaths)

#### FileResourceManager

    public FileResourceManager(File base,
                               long transferMinSize,
                               boolean caseSensitive,
                               boolean followLinks,
                               String... safePaths)

### Method Detail

#### getBase

    public File getBase()

#### setBase

    public FileResourceManager setBase(File base)

Overrides:
  `setBase` in class `PathResourceManager`